Retrieve User Extension Field Value By Object

Prev Next
Get
/sys-rest-api/rest/1/sdobjusrextvalue

Overview

User Extensions allow the functionality of the software to be extended through the creation of custom input fields. These input fields are attached to custom tables. The tables allow for storage and easy access of all miscellaneous information.

Notes

  • Before working with a User Extension Field value, retrieve its definition using the User Extension Definition endpoint. Once the definition is established in CMiC, you can create, retrieve, or update the field’s value as needed

  • Finders must be used to properly query GET requests.

UI Navigation

System > User Extension > Field Maintenance

Reference Article

Path Parameters

Parameter Description Example
VUUID The VUuid attribute is the Unique row ID /sys-rest-api/rest/1/sdobjusrextvalue/E41D15789AA9807FE0530100007F304F

Query Standards

Key Recommended Description
finder Yes Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an "and" statement. For more information on using the finder functionality please see [Best Practice
limit Yes A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality please visit [Best Practice
offset Yes The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using Offset functionality please visit [Best Practice
orderBy Yes The orderBy attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using orderBy functionality please visit [Best Practice

(User Extension Field Value) Finders

Finder Parameter Data Type Description Example
PrimaryKey UevVUuid string Filter values by VUUID /sys-rest-api/rest/1/sdobjusrextvalue?finder=PrimaryKey;UevVUuid=E41D15789AA9807FE0530100007F304F
SdObjUsrExtValueFinder AuditDate date Filter records by audit date (UevIuCreateDate). This finder will retrieve records that have a created date on or after the specified date. When using this finder, this parameter must be used in tandem with the Schema Name, Table Name, and the all associated Object keys. /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder;AuditDate=2010-10-31, SchemaName=DA, TableName=PYEMPLOYEE_TABLE,ObjectKey1=ZZ-100
SdObjUsrExtValueFinder ObjectKey1 string Filter record by Object Key 1. When using this finder, this parameter must be used in tandem with the Schema Name, Table Name, and the all other associated Object keys. /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=BPVENDORS,ObjectKey1=ZZ, ObjectKey2=00112233
SdObjUsrExtValueFinder ObjectKey2 string Filter record by Object Key 2. When using this finder, this parameter must be used in tandem with the Schema Name, Table Name, and the all other associated Object keys. /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=BPVENDORS,ObjectKey1=ZZ, ObjectKey2=00112233
SdObjUsrExtValueFinder ObjectKey3 string Filter record by Object Key 3. When using this finder, this parameter must be used in tandem with the Schema Name, Table Name, and the all other associated Object keys. /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=SCMAST,ObjectKey1=CCC, ObjectKey2=1TIME, ObjectKey3=CCCJB-0000001, ObjectKey4=000
SdObjUsrExtValueFinder ObjectKey4 string Filter record by Object Key 4. When using this finder, this parameter must be used in tandem with the Schema Name, Table Name, and the all other associated Object keys. /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=SCMAST,ObjectKey1=CCC, ObjectKey2=1TIME, ObjectKey3=CCCJB-0000001, ObjectKey4=000
SdObjUsrExtValueFinder SchemaName string Filter record by Schema Name. When using this finder, this parameter must be used in tandem with the Table Name, and all associated Object keys /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=BPVENDORS,ObjectKey1=ZZ, ObjectKey2=00112233
SdObjUsrExtValueFinder TableName string Filter record by Table Name. When using this finder, this parameter must be used in tandem with the Schema Name, and all associated Object keys /sys-rest-api/rest/1/sdobjusrextvalue?finder=SdObjUsrExtValueFinder; SchemaName=DA, TableName=BPVENDORS,ObjectKey1=ZZ, ObjectKey2=00112233
UevCodeFinder AuditDate string Filter records by audit date (UevIuCreateDate). This finder will retrieve records that have a created date on or after the specified date. /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;AuditDate=2025-01-31
UevCodeFinder SchemaName string Filter records by Schema Name. /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;SchemaName=DA
UevCodeFinder TableName string Filter Records by Table Name /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;TableName=PYEMPLOYEE_TABLE
UevCodeFinder UevCode1Var string Filter Records by UevCode1. /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;UevCode1Var=1
UevCodeFinder UevCode2Var string Filter Records by UevCode2. /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;UevCode2Var=20122022
UevCodeFinder UevCode3Var string Filter Records by UevCode3. /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;UevCode3Var=100
UevCodeFinder UevCode[1-20]Var string Filter records by UEV Code fields (replace [1-20] with the desired number). /sys-rest-api/rest/1/sdobjusrextvalue?finder=UevCodeFinder;UevCode18Var=100100
findByDate AuditDate string Filter records by audit date (UevIuCreateDate). This finder will retrieve records that have a created date on or after the specified date. /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;AuditDate=2025-01-31
findByDate SchemaName string Filter records by Schema Name. /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;SchemaName=DA
findByDate TableName string Filter Records by Table Name /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;TableName=PYEMPLOYEE_TABLE
findByDate UevCode10Var string Filter Records by UevCode1. /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;UevCode1Var=1
findByDate UevCode2Var string Filter Records by UevCode2. /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;UevCode2Var=20122022
findByDate UevCode3Var string Filter Records by UevCode3. /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;UevCode3Var=100
findByDate UevCode[1-20]Var string Filter records by UEV Code fields (replace [1-20] with the desired number). /sys-rest-api/rest/1/sdobjusrextvalue?finder=findByDate;UevCode18Var=1234

(User Extension Field Value) Attributes

General Attributes

CMiC UI Fieldname Name Description Type Data Length Example Required
Schema Name UevUedSchemaName Static code 'DA' string 30 ‘DA’ Yes
Table Name UevUedTableName Enter the Object Type Table Name. In CMiC, object tables are database tables that store rows of records.

Click here to view a list of Object Tables.
string 30 ‘PYEMPLOYEE_TABLE’ Yes
VUUID UevVUuid The VUuid attribute is the Unique row ID string 64 E41D157899B9807FE0530100007F304F No
Create Date UevIuCreateDate This field displays the date and time when any user-defined field (UDF) value was first assigned to a record. For example, if you initially set UEV_CODE1 for a record, that timestamp becomes the create date—even if additional UDF values (such as UEV_CODE2, UEV_NUM1, etc.) are added later. Datetime 2018-09-25T11:58:09-04:00
Update Date UevIuUpdateDate This field shows the most recent date and time when any UDF value within the record was created or updated. Since all UDF values for a record are stored together, UevIuUpdateDate reflects the timestamp of the latest modification made to any of those fields. Datetime 2025-01-27T17:52:51-05:00
(Deprecated) UevObjectColumn This field has been deprecated and should be left blank. string 64 -
(Deprecated) UevObjectValue This field has been deprecated and should be left blank. string 4000 -
Object Keys UevObjectKey Please refer to the Object Keys Section below for more information … … …
UEV Codes UevCode Please refer to the UEV Code Section below for more information … … …
UEV Numbers UevNum Please refer to the UEV Number Section below for more information … … …
UEV Dates UevDate Please refer to the UEV Date Section below for more information … … …

Object Keys

The UEV Keys in the Object Table are unique identifiers used to retrieve specific records. Refer to the Object Key Tables for a comprehensive list of Object Types and their corresponding Keys.

CMiC UI Fieldname

Name

Description

Type

Data Length

Example

Object Key 1

UevObjectKey1

Unique identifier for record retrieval.

For example, when using PYEMPLOYEE_TABLE, Object Key 1 corresponds to Emp Number. In which case you would enter the Employee number (e.g. 1406)

string

30

1406

Object Key 2

UevObjectKey2

Unique identifier for record retrieval. For example, when using BPVENDORS, Object Key 2 corresponds to Bp Code. In which case you would enter the BP Code (e.g. ZZ)

string

30

ZZ

Object Key 3

UevObjectKey3

Unique identifier for record retrieval. For example, when using CMMAST, Object Key 3 corresponds to Cmm Code. In which case you would enter the Cmm Code (e.g. 0009EXT)

string

30

0009EXT

Object Key 4

UevObjectKey4

Unique identifier for record retrieval. For example, when using SCMAST, Object Key 4 corresponds to Change Code. In which case you would enter the Chagne Code (e.g. 001)

string

30

001

UEV Codes

UEV Code represents a user-defined field (UDF) configured to store string values. All UevCode fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the User Extension Definition endpoint. For more details on creating, updating, or reviewing values, see the Creating a User Extension Field Value guide.

CMiC UI Fieldname Name Description Type Data Length Example
Uev Code 1 UevCode1 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, UevCode1 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode1 could represent a different user-defined value depending on its configuration..
string 4000 AW-1425-77888
Uev Code 2 UevCode2 User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode2 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field(e.g. AW-1425-77888). Alternatively, UevCode2 could represent a different user-defined value depending on its configuration.
string 4000 AW-1425-77888
Uev Code 3 UevCode3 User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode3 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode3 could represent a different user-defined value depending on its configuration.
string 4000 AW-1425-77888
… … ... (Additional UEV Codes follow the same structure) string 4000 …
UEV Code 100 UevCode100 User-defined field. Refer to the User Extension Definition endpoint for details.

For example, UevCode100 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode100 could represent a different user-defined value depending on its configuration.
string 4000 AW-1425-77888

UEV Numbers

Similar to UEV Codes, UEV Numbers represents a user-defined field (UDF) configured to store numeric values. All UevNum fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the User Extension Definition endpoint. For more details on creating, updating, or reviewing values, see the Creating a User Extension Field Value guide.

CMiC UI Fieldname Name Description Type Data Length Example
UEV Number 1 UevNum1 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field.
number 10
UEV Number 2 UevNum2 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field.
number 10
UEV Number 3 UevNum3 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field.
number 10
… … … (Additional UEV Numbers follow the same structure) number … …
UEV Number 20 UevNum20 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field.
number 10

UEV Dates

Similar to UEV Codes, UEV Dates represents a user-defined field (UDF) configured to store datetime values. All UevDate fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the User Extension Definition endpoint. For more details on creating, updating, or reviewing values, see the Creating a User Extension Field Value guide.

CMiC UI Fieldname Name Description Type Data Length Example
UEV Date 1 UevDate1 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field.
Date 1994-07-31
UEV Date 2 UevDate2 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field.
Date 1994-07-31
UEV Date 3 UevDate3 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field.
Date 1994-07-31
… … … (Additional UEV Dates follow the same structure) Date
UEV Date 20 UevDate20 User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field.
Date 1994-07-31
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleSdObjUsrExtValueFinder; TableName=PMPROJECT_TABLE, AuditDate=2015-01-01, SchemaName=DA, ObjectKey1=001, ObjectKey2=14001
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleevUedSchemaName:desc
Responses
200

Successful response

Copyright © 2024 CMiC All Rights Reserved